/* DASHBOARD: SITE
   ========================================================================== */
   .body--dashboard .main__wrapper {
    padding-top: var(--spacer--l);
}

/* DASHBOARD: SECTION
   ========================================================================== */
.main__title--box {
    background-color: #66bfab;
    padding: var(--spacer--m);
    color: #FFFFFF;
}

.main__title--box .main__title__text {
    margin-bottom: var(--spacer--m);
}

.main__title--box .paragraph {
    font-weight: 400;
}

.main__title--box .paragraph strong {
    font-weight: 900;
}

/* Media query to target only mobile */
@media all and (max-width:750px) {
    .section--dashboard .section__header {
        -webkit-flex-wrap: wrap;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }

    .section--dashboard .section__header__text__title__welcome {
        display: block;
        font-size: 1.8rem;
        font-weight: 400;
    }

    .section--dashboard .section__header__text__title__user {
        display: block;
    }

    .section--dashboard .section__header__actions {
        margin-top: var(--spacer--m);
        width: 100%;
    }

    .section--dashboard .section__header + .section__content {
        margin-top: var(--spacer--m);
    }

    .section--dashboard .section__content + .section__content {
        margin-top: var(--spacer--l);
    }

}

/* Media query to target only tablet */
@media all and (min-width:751px) and (max-width:1024px) {
    .section--dashboard .section__content + .section__content {
        margin-top: var(--spacer--xl);
    }

}

/* Media query to target tablet and desktop */
@media all and (min-width:751px) {
    .section--dashboard .section__header + .section__content {
        margin-top: var(--spacer--l);
    }

}

/* Media query to target only desktop */
@media all and (min-width:1025px) {
    .section--dashboard .section__content + .section__content {
        margin-top: var(--spacer--xxl);
    }

}

/* DASHBOARD: GRID
   ========================================================================== */

/* Media query to target only tablet */
@media all and (min-width:751px) and (max-width:1024px) {
    .section--dashboard .grid--3 > .grid__item {
        -webkit-box-flex: 0;
        -webkit-flex: 0 0 50%;
        -ms-flex: 0 0 50%;
        flex: 0 0 50%;
        max-width: 50%;
    }

}

/* DASHBOARD: DASHLETS: ARTICLE
   ========================================================================== */
.article--dashlet .article__header__count {
    margin-right: calc(var(--boxes--padding--inners) * .6666);
    font-weight: var(--font--weight--bold);
    color: var(--color--brand);
}

.article--dashlet .article__content {
    border-top-color: var(--color--brand);
}

/* Media query to target only mobile */
@media all and (max-width:750px) {
    .article--dashlet .article__header__count {
        font-size: 2.8rem;
    }

}

/* Media query to target only tablet */
@media all and (min-width:751px) and (max-width:1024px) {
    .article--dashlet.article--accordion > .article__header {
        padding-right: var(--boxes--padding--outers);
    }

    .article--dashlet[class*="--accordion"]:not([class*="--accordion__open"]) > [class*="__content"] {
        display: block;
    }

}

/* Media query to target tablet and desktop */
@media all and (min-width:751px) {
    .article--dashlet {
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
    }

    .article--dashlet .article__header__count {
        font-size: 3.6rem;
    }

    .article--dashlet .article__content {
        -webkit-box-flex: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
    }

}

/* DASHBOARD: DASHLETS: INFO ORGANIZATION
   ========================================================================== */
.list--dashlet {
    margin-bottom: -1px;
}

.list--dashlet .list__item {
    border-bottom-width: 1px;
    border-bottom-style: solid;
    border-bottom-color: var(--boxes--border--color);
}

.list--dashlet .list__item__text {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    position: relative;
    min-height: calc(var(--sizing--basis) * 16);
    padding: var(--spacer--s) var(--spacer--m);
    -webkit-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.list--dashlet .list__item:not(.partially-saved) a.list__item__text:hover {
    background-color: #ededed;
    -webkit-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.list--dashlet a.list__item__text .list__item__text__title {
    font-weight: var(--font--weight--bold);
    line-height: 160%;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    -webkit-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.list--dashlet .list__item:not(.partially-saved) a.list__item__text:hover .list__item__text__title {
    -webkit-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.list--dashlet .list__item__text__subtitle {
    width: 100%;
    font-size: 1.4rem;
    line-height: 160%;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    -webkit-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.list--dashlet .list__item:not(.partially-saved) a.list__item__text:hover .list__item__text__subtitle {
    -webkit-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

/* DASHBOARD: REPORTS: SECTION
   ========================================================================== */

/* Media query to target only mobile */
@media all and (max-width:750px) {
    .section--dashboard .section__content--report {
        margin-right: calc(-1 * var(--grid--laterals));
        margin-left: calc(-1 * var(--grid--laterals));
        width: auto;
        background-color: var(--color--brand--sub-2);
        padding-top: var(--spacer--l);
        padding-right: var(--grid--laterals);
        padding-bottom: var(--spacer--l);
        padding-left: var(--grid--laterals);
    }

}

/* DASHBOARD: REPORTS: ARTICLE
   ========================================================================== */

/* Media query to target only mobile */
@media all and (max-width:750px) {
    .article--report.article--boxed {
        padding: var(--spacer--m) var(--spacer--m);
    }

    .article--report .article__header {
        -webkit-flex-wrap: wrap;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }

    .article--report .article__header__text {
        width: 100%
    }

    .article--report .article__header__actions {
        margin-top: var(--spacer--s);
        width: 100%
    }

    .article--report .article__header__actions .switcher {
        display: none;
    }

    .article--report .article__header + .article__content {
        margin-top: calc(var(--spacer--s) + var(--spacer--xs));
    }

    .article--report .article__content__graphic {
        display: none;
    }

}

/* Media query to target tablet and desktop */
@media all and (min-width:751px) {
    .article--report .article__header {
        -webkit-box-align: baseline;
        -webkit-align-items: baseline;
        -ms-flex-align: baseline;
        align-items: baseline;
    }

    .article--report .article__header__text {
        -webkit-box-flex: initial;
        -ms-flex-positive: initial;
        flex-grow: initial;
        white-space: nowrap;
    }

    .article--report .article__header__actions {
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: baseline;
        -webkit-align-items: baseline;
        -ms-flex-align: baseline;
        align-items: baseline;
        -webkit-box-pack: space-between;
        -webkit-justify-content: space-between;
        -ms-flex-pack: space-between;
        justify-content: space-between;
        -webkit-box-flex: 1;
        -ms-flex-positive: 1;
        flex-grow: 1;
        margin-left: var(--spacer--m);
    }

    .article--report .article__header__actions .switcher__pointing {
        font-size: 120%;
    }

    .article--report .article__content__table {
        display: none;
    }

    .article--report .article__content__graphic .highcharts-container,
    .article--report .article__content__graphic .highcharts-container svg {
        max-width: 100%;
    }

}

/* Media query to target only tablet */
@media all and (min-width:751px) and (max-width:1024px) {
    .article--report.article--boxed {
        padding: var(--spacer--xl) var(--spacer--l) var(--spacer--l);
    }

    .article--report .article__header {
        padding-bottom: var(--spacer--m);
    }

}

/* Media query to target only desktop */
@media all and (min-width:1025px) {
    .article--report.article--boxed {
        padding: var(--spacer--xl) var(--spacer--xl) var(--spacer--l);
    }

    .article--report .article__header {
        margin-bottom: var(--spacer--l);
        border-bottom-width: 1px;
        border-bottom-style: solid;
        border-bottom-color: var(--dividers--border--color);
        padding-bottom: var(--spacer--l);
    }

}

/* DASHBOARD: REPORTS: INFO ORGANIZATION
   ========================================================================== */
.article--report .table .sort__item__icon {
    display: none; /* Patch: We hide the sort via CSS, this should be done via flow */
}

/* DASHBOARD: STATS: SECTION
   ========================================================================== */

/* Media query to target only mobile */
@media all and (max-width:750px) {
    .section--dashboard .section__content + .section__content--stats {
        margin-top: calc(-1 * var(--spacer--l));
        margin-right: calc(-1 * var(--grid--laterals));
        margin-bottom: calc(-1 * var(--main--padding--bottom));
        margin-left: calc(-1 * var(--grid--laterals));
        width: auto;
        background-color: var(--color--brand--sub-2);
        padding-top: var(--spacer--l);
        padding-right: var(--grid--laterals);
        padding-bottom: var(--spacer--l);
        padding-left: var(--grid--laterals);
    }

}

/* Media query to target only tablet */
@media all and (min-width:751px) and (max-width:1024px) {
    .section--dashboard .section__content--stats .grid > .grid__item {
        -webkit-box-flex: 0;
        -webkit-flex: 0 0 100%;
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
    }

}

/* DASHBOARD: STATS: ARTICLE
   ========================================================================== */
.article--stats.article--boxed {
    padding: var(--boxes--padding--outers) var(--boxes--padding--outers);
}

.article--stats .article__header__count {
    font-size: 5.8rem;
    font-weight: 300;
}

/* Media query to target only mobile */
@media all and (max-width:750px) {
    .article--stats .article__header {
        display: block;
        text-align: center;
    }

    .article--stats .article__header__text {
        margin-top: var(--spacer--xs);
    }

}

/* Media query to target only tablet */
@media all and (min-width:751px) and (max-width:1024px) {
    .article--stats .article__header {
        -webkit-box-orient: horizontal;
        -webkit-box-direction: row;
        -ms-flex-direction: row;
        flex-direction: row;
    }

    .article--stats .article__header__count {
        margin-right: var(--spacer--s);
    }

}

/* Media query to target only desktop */
@media all and (min-width:1025px) {
    .article--stats .article__header {
        display: block;
        text-align: center;
    }

    .article--stats .article__header__text {
        margin-top: var(--spacer--xs);
    }

}
